#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-kdoctools
Version		:	5.107.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE Create documentation from DocBook

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	kf5-karchive-devel
BuildRequires	:	kf5-ki18n-devel
BuildRequires	:	libxml2
BuildRequires	:	perl
BuildRequires	:	perl-URI
BuildRequires	:	qt5-qtbase-devel
#-----------------------------------------------------------------------------
%description
Provides tools to generate documentation in various format from DocBook files.

#-----------------------------------------------------------------------------
#BuildRequires	:	mesa-devel
#BuildRequires	:	qt5-qttools-devel
#-----------------------------------------------------------------------------
%files			-f %{sname}.lang
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*.txt
%{_kf5_libdir}/libKF5DocTools.so.5*
## FIXME/TODO: which of these to move to -devel -- rex
%{_kf5_bindir}/checkXML5
%{_kf5_bindir}/meinproc5
%{_kf5_datadir}/kf5/kdoctools/
%{_kf5_docdir}/HTML/*/kdoctools5-common/
%{_kf5_mandir}/man1/*.1*
%{_kf5_mandir}/man7/*.7*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KDocTools/
%{_kf5_libdir}/libKF5DocTools.so
%{_kf5_libdir}/cmake/KF5DocTools/

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=OFF					\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

%find_lang %{sname} --all-name --with-man

#-----------------------------------------------------------------------------
%changelog
